// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_FClassProperty.h"
#include "SCW_FObjectProperty.h"
#include "ISCW_FObjectPropertyBase.h"

class FClassProperty;

namespace Sourcify
{
	class SCW_FClassProperty : public SCW_FObjectProperty, public virtual ISCW_FClassProperty
	{
	public:
		SCW_FClassProperty(FClassProperty* InClassProperty);

		ISCW_UClassPtr GetMetaClass() const override;

		FClassProperty* ToFClassProperty() const;

	protected:
		FClassProperty* ClassProperty;
	};
} // namespace Sourcify